MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030799Community[OCCT] OCCT:DRAWpublic2019-06-21 13:012019-07-18 13:34
Reportermzernova 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatustestedResolutionopen 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030799: Draw Harness, ViewerTest - setup uniforms via vshader command
DescriptionIt is proposed extending vshader command to setup custom uniforms,
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0085296)
git (administrator)
2019-06-25 14:15

Branch CR30799 has been created by mzernova.

SHA-1: 743587ac7c58cf7c4a4c95d66614e8b18381f6c3


Detailed log of new commits:

Author: mzernova
Date: Tue Jun 25 13:41:45 2019 +0300

    0030799: Draw Harness, ViewerTest - setup uniforms via vshader command
    
    vshaderprog command now supports setup custom uniforms
(0085297)
kgv (developer)
2019-06-25 14:22

+                  "\n\t\t:   [-uniform name value]"

Please specify in help that this is a float uniform.

+      aProgram->PushVariableFloat (theArgVec[++anArgIter], float (atof (theArgVec[++anArgIter])));


atof -> Draw::Atof().
(0085300)
git (administrator)
2019-06-25 14:53

Branch CR30799 has been updated by mzernova.

SHA-1: ae21db4828c9eefdb59b2a3c336ba76f1a90bce1


Detailed log of new commits:

Author: mzernova
Date: Tue Jun 25 14:51:59 2019 +0300

    0030799: Draw Harness, ViewerTest - setup uniforms via vshader command
    
    Added specification in help that this is a float uniform

(0085319)
kgv (developer)
2019-06-27 11:37

Please correct your git settings to setup acronym in Author and Commiter fields, then push squashed commit with correct fields.

Take a look at commit in gitweb to verify these fields:
http://git.dev.opencascade.org/gitweb/?p=occt.git;a=commitdiff;h=ae21db4828c9eefdb59b2a3c336ba76f1a90bce1 [^]
(0085498)
git (administrator)
2019-07-08 17:52

Branch CR30799 has been updated forcibly by mzernova.

SHA-1: 3ec983b8bd4acd56d8fcafb1aa6ad826908baf89
(0085721)
git (administrator)
2019-07-17 19:10

Branch CR30799 has been updated forcibly by mzernova.

SHA-1: db8d118cc3f9ed1dc631c100db1bab3c441e2fb2
(0085746)
osa (developer)
2019-07-18 11:33

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30799-master-OSA/ [^]
(0085747)
osa (developer)
2019-07-18 11:34

The patch CR30799 was reviewed
(0085760)
bugmaster (administrator)
2019-07-18 13:34

Combination -
OCCT branch : CR30799
master SHA - db8d118cc3f9ed1dc631c100db1bab3c441e2fb2
32ce09545dc9c46a47a51a964a24b1f472e6c2c4
Products branch : master SHA - ce8f14216a548db739b749891b6f800b0d5c6e8b
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16226.360000000115 / 16237.640000000089 [-0.07%]
Products
Total CPU difference: 10462.800000000021 / 10517.890000000038 [-0.52%]
Windows-64-VC14:
OCCT
Total CPU difference: 17637.453125 / 17623.078125 [+0.08%]
Products
Total CPU difference: 12076.25 / 12058.53125 [+0.15%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

- Issue History
Date Modified Username Field Change
2019-06-21 13:01 mzernova New Issue
2019-06-21 13:01 mzernova Assigned To => apn
2019-06-21 13:01 mzernova Assigned To apn => mzernova
2019-06-21 13:01 mzernova Status new => assigned
2019-06-25 14:15 git Note Added: 0085296
2019-06-25 14:22 kgv Note Added: 0085297
2019-06-25 14:53 git Note Added: 0085300
2019-06-26 12:01 mzernova Assigned To mzernova => kgv
2019-06-26 12:01 mzernova Status assigned => resolved
2019-06-26 12:01 mzernova Steps to Reproduce Updated View Revisions
2019-06-27 11:37 kgv Note Added: 0085319
2019-06-27 11:37 kgv Assigned To kgv => mzernova
2019-06-27 11:37 kgv Status resolved => assigned
2019-07-08 17:52 git Note Added: 0085498
2019-07-17 13:25 mzernova Assigned To mzernova => osa
2019-07-17 13:25 mzernova Status assigned => resolved
2019-07-17 19:10 git Note Added: 0085721
2019-07-18 11:33 osa Note Added: 0085746
2019-07-18 11:34 osa Note Added: 0085747
2019-07-18 11:34 osa Assigned To osa => bugmaster
2019-07-18 11:34 osa Status resolved => reviewed
2019-07-18 12:45 bugmaster Test case number => Not required
2019-07-18 13:34 bugmaster Note Added: 0085760
2019-07-18 13:34 bugmaster Status reviewed => tested


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker